---
title: ruby-align
slug: Web/CSS/ruby-align
tags:
  - CSS
  - CSS Property
  - CSS Ruby
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}{{SeeCompatTable}}</div>

<p>The <code><strong>ruby-align</strong></code> CSS property defines the distribution of the different ruby elements over the base.</p>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
ruby-align: start;
ruby-align: center;
ruby-align: space-between;
ruby-align: space-around;

/* Global values */
ruby-align: inherit;
ruby-align: initial;
ruby-align: unset;
</pre>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>start</code></dt>
 <dd>Is a keyword indicating that the ruby will be aligned with the start of the base text.</dd>
 <dt><code>center</code></dt>
 <dd>Is a keyword indicating that the ruby will be aligned at the middle of the base text.</dd>
 <dt><code>space-between</code></dt>
 <dd>Is a keyword indicating that the extra space will be distributed between the elements of the ruby.</dd>
 <dt><code>space-around</code></dt>
 <dd>Is a keyword indicating that the extra space will be distributed between the elements of the ruby, and around it.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Ruby_aligned_at_the_start_of_the_base_text">Ruby aligned at the start of the base text</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;ruby&gt;
  &lt;rb&gt;This is a long text to check&lt;/rb&gt;
  &lt;rp&gt;（&lt;/rp&gt;&lt;rt&gt;short ruby&lt;/rt&gt;&lt;rp&gt;）&lt;/rp&gt;
&lt;/ruby&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">ruby {
  ruby-align: start;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Ruby_aligned_at_the_start_of_the_base_text", 180, 40)}}</p>

<h3 id="Ruby_aligned_at_the_center_of_the_base_text">Ruby aligned at the center of the base text</h3>

<h4 id="HTML_2">HTML</h4>

<pre class="brush: html notranslate">&lt;ruby&gt;
  &lt;rb&gt;This is a long text to check&lt;/rb&gt;
  &lt;rp&gt;（&lt;/rp&gt;&lt;rt&gt;short ruby&lt;/rt&gt;&lt;rp&gt;）&lt;/rp&gt;
&lt;/ruby&gt;</pre>

<h4 id="CSS_2">CSS</h4>

<pre class="brush: css notranslate">ruby {
  ruby-align: center;
}</pre>

<h4 id="Result_2">Result</h4>

<p>{{EmbedLiveSample("Ruby_aligned_at_the_center_of_the_base_text", 180, 40)}}</p>

<h3 id="Extra_space_distributed_between_ruby_elements">Extra space distributed between ruby elements</h3>

<h4 id="HTML_3">HTML</h4>

<pre class="brush: html notranslate">&lt;ruby&gt;
  &lt;rb&gt;This is a long text to check&lt;/rb&gt;
  &lt;rp&gt;（&lt;/rp&gt;&lt;rt&gt;short ruby&lt;/rt&gt;&lt;rp&gt;）&lt;/rp&gt;
&lt;/ruby&gt;</pre>

<h4 id="CSS_3">CSS</h4>

<pre class="brush: css notranslate">ruby {
  ruby-align: space-between;
}</pre>

<h4 id="Result_3">Result</h4>

<p>{{EmbedLiveSample("Extra_space_distributed_between_ruby_elements", 180, 40)}}</p>

<h3 id="Extra_space_distributed_between_and_around_ruby_elements">Extra space distributed between and around ruby elements</h3>

<h4 id="HTML_4">HTML</h4>

<pre class="brush: html notranslate">&lt;ruby&gt;
  &lt;rb&gt;This is a long text to check&lt;/rb&gt;
  &lt;rp&gt;（&lt;/rp&gt;&lt;rt&gt;short ruby&lt;/rt&gt;&lt;rp&gt;）&lt;/rp&gt;
&lt;/ruby&gt;</pre>

<h4 id="CSS_4">CSS</h4>

<pre class="brush: css notranslate">ruby {
  ruby-align: space-around;
}</pre>

<h4 id="Result_4">Result</h4>

<p>{{EmbedLiveSample("Extra_space_distributed_between_and_around_ruby_elements", 180, 40)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Ruby', '#ruby-align-property', 'ruby-align')}}</td>
   <td>{{Spec2('CSS3 Ruby')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.ruby-align")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>HTML Ruby elements: {{HTMLElement("ruby")}}, {{HTMLElement("rt")}}, {{HTMLElement("rp")}}, and {{HTMLElement("rtc")}}.</li>
 <li>CSS Ruby properties: {{cssxref("ruby-position")}}, {{cssxref("ruby-merge")}}.</li>
</ul>
